Dec    27, 2004 : Jeff Snyder
	* Fix for bug 95640 (nothing displayed when kompare is embedded in Ark
	  fixed by forcing the delivery of childEvents to komparesplitter at 
	  the end of its constructor

Dec    20, 2004 : Jeff Snyder
	* Things that have happened since 3.3:
	  (this list is not complete)
	* Look & feel changed

Dec    20, 2004 : Jeff Snyder
	* Things that were changed sometime between Nov 25, 2003 and KDE 3.3:
	  (this list is not complete)
	* KompareConnectWidget became draggable, by replacing KompareViewFrame
	  with KompareSplitter.

Dec    20, 2004 : Jeff Snyder
	* This changelog seems to have been neglected for over a year now. I'll
	  try to retroactively fix this as and when I remember things that have
	  been fixed - but it'll probably never be complete and accurate for the
	  Dec 2003 - Nov 2004 period. I'll be making entries concering what i'm
	  doing with kompare from now onwards.

Nov    25, 2003 : Otto Bruggeman
	* Fix nasty looping to the end of the file when hitting previous difference on the first difference in the first file

Nov    25, 2003 : Laurent Montel
	* Fix memleak, QStringList is implicitly shared so no need for a reference, it is already a pointer to data thing

Nov    23, 2003 : Otto Bruggeman
	* Fixed version string (bug 68872)
	* Fix for 68871 (added slotNextDifference to slotApplyDifference())
	* Fix for a crash: dont call blendOriginalIntoModelList with Kompare::ShowingDiff

Nov    22, 2003 : Otto Bruggeman
	* Fix to make the bugs.kde.org dialog pop up instead of sending a mail to John when pressing 
	  Help->Report bug... Also added my homepage since it has always been kompare's home imo.

Nov    22, 2003 : Otto Bruggeman
	* Rework the blendFile method so it actually works and as a bonus is a bit faster
	  This introduces a new form of show entire file when comparing, one that works
	  And because of it, it saves files properly now because the entire file is now available even if 
	  you have a single line change in a million line file with only 2 context lines in the diff.

Nov    22, 2003 : Otto Bruggeman
	* Remove the Show entire file option. It only causes problems at the moment
	  Fixes bug 68729

Nov    22, 2003 : Otto Bruggeman
	* Commenting out a lot of debug output, it has served it's purpose well in levenshteintable.cpp

Nov    21, 2003 : Otto Bruggeman
	* Also expand tabs to spaces in strings without or after Commands (in the INLINE_DIFFERENCES 
	  code path and yes commands is a shitty name for them but i cant think of something decent)

Nov    21, 2003 : Otto Bruggeman
	* Real Fix (tm) for activating the Swap source with destination action

Nov    21, 2003 : Otto Bruggeman
	* Fix empty line drawing in the INLINE_DIFFERENCES code path

Nov    20, 2003 : Otto Bruggeman
	* When swapping source with destination also change the windows caption and the statusbar text
	* Make sure that when swapping and when there are changes, all changes that were made can be 
	  saved, discarded or cancel the whole swap (strings are recycled from the queryClose method)
	* Give a better parent to the TDEIO::NetAccess::download in komparemodellist.cpp
	* Added some FIXME's for after the branching to make the urls appear in bold in the error message
	* Make queryClose not use the isModified from the part but from the modellist

Nov    20, 2003 : Otto Bruggeman
	* Fix for activating the Swap Source with Destination action.

Nov    19, 2003 : Otto Bruggeman
	* Fixed bug 68570, it needed temp vars otherwise it was overwriting source with destination and then 
	  overwriting that destination with source which was just changed into destination

Nov    17, 2003 : Otto Bruggeman
	* Fix for empty -x and -X arguments.
	* Fix bugs 58858 and 58531 by using Kompare::Custom instead of Kompare::Default
	* Fix last selected url in the kurlcomboboxes
	* Fix for inline differences when there is only 1 char left that still needs to be drawn
	* Remove support for the -a Treat all files as text diff option. This caused all sorts of weird crashes
	  when parsing the diff output now with the custom options.
	* Move the per preference page code in the diffprefs constructor into seperate methods per page

Nov    14, 2003 : Otto Bruggeman
	* Fix to make Kompare listen to the tdedisplayFontChanged signal and set the font properly and redraw with the new font.
	  Found by David Faure.

Nov    09, 2003 : Otto Bruggeman
	* Implemented inline differences (deactivated until KDE3.2 has been branched)
	* added support for the -x and -X options to diff (deactivated until KDE3.2 has been branched)
	* Various other code cleanups/reindenting

Nov    09, 2003 : Otto Bruggeman
	* Code cleanups

Nov    02, 2003 : Otto Bruggeman
	* Fixed some more scrolling problems
	  lastItem->scrollId(), add lastItem->maxHeight() and substract the minScrollId()
	  That is the maxScrollId i need in the QScrollBar, took me long enough...

Oct    05, 2003 : Otto Bruggeman
	* Fixed the scrolling problems, a stupid regression i introduced, i cant simplify mathematic expressions apparently
	* Added an implementation for double clicking a difference in the view, but it is not properly connected yet
	  void contentsMouseDoubleClickEvent ( QMouseEvent* );
	* Fixed embedding in Konqueror by implementing openURL()
	* Removed m_maxScrollId, it is not necessary and only costs time, QScrollView::contentsHeight() does the same
	* Fixed some more warnings about unused variables
	* Fixed the initial drawing of the vertical and horizontal scrollbar

Oct    04, 2003 : Otto Bruggeman
	* Added a call to m_modelList->openDirAndDiff to openDirAndDiff
	* Fixed some error strings by swapping the %# thingies
	* Added some useless debug output
	* Fixed KompareModelList::openDirAndDiff to use the right models variable (m_models instead of models)

Oct    03, 2003 : Otto Bruggeman
	* Fixed ApplyAll and UnApplyAll, stupid copy and paste error
	* Fixed some warnings about signed and unsigned
	* Fixed some warnings about unused variables
	* Fixed some redrawing issues in the connection widget

Sep    27, 2003 : Otto Bruggeman
	* Fixed the redrawing problems in the connect widget with a QTimer::singleShot()
	* Undid a stupid commit that changed the keyboard shortcuts for next and previous difference
	* Fixed another bug in the navigation part that made it emit a signal twice
	* Fixed a bug in the listview drawing, still one left that i cant seem to solve :(

Sep    27, 2003 : Otto Bruggeman
	* Moved the apply and navigation actions into the komparemodellist
	* Fixed Ingo's problem with the next and prev difference TDEActions

Sep    26, 2003 : Otto Bruggeman
	* Added a struct Info in the Kompare namespace. This one contains all the info about what kompare is doing
	* Fixed splitting the path string in diffmodel
	* Fixed showing the path in komparenavtreepart in the directory listviews

Sep    24, 2003 : Otto Bruggeman
	* Fixes opening diffs, comparing files after moving all that code around

Sep    23, 2003 : Otto Bruggeman
	* Moved a lot of url downloading to the kompare part and moved the opening and reading of the downloads to komparemodellist

Sep    22, 2003 : Otto Bruggeman
	* Added openStdin() to KompareShell
	* Fixed stupid implicit conversion from QString to QStringList in kompare_part.cpp
	* Added openDiff( QStringList ) to the interface and to the part

Sep    14, 2003 : Otto Bruggeman
	* Fixed exit status of the kompare process

Sep    13, 2003 : Otto Bruggeman
	* Removed some files that apparently came back after the merge

Sep    07, 2003 : Otto Bruggeman
	* Some changes to the interface. Made the copy ctor and assignment operator
	  and added a private d-pointer
	* Removed the use of all deprecated methods and replaced them with undeprecated ones :)

Sep    02, 2003 : Scott Wheeler
	* Made the interface pure virtual

Sep    01, 2003 : Scott Wheeler
	* Fixed constness of the KompareModelList constructor
	* Fixed another 2 warnings about comapring signed with unsigned ints
	* Fixed the initialization of the difault var

Aug    27, 2003 : Otto Bruggeman
	* After shitloads of trouble here finally some fixes for the stupid desktop
	  file stuff
	* Fixes for when there are not enough args for a certain commandline option.

Aug    22, 2003 : Otto Bruggeman
	* Fixed converting tabs to spaces in the view, i totally screwed up
	* View settings now get applied to the view after pressing ok.
	  (Maybe i should make them apply on APlly instead of OK)

Aug    13, 2003 : Otto Bruggeman
	* Komkommertijd :) InitialPreference=10 for kompare.desktop as
	  requested

Aug    10, 2003 : Otto Bruggeman
	* Backported Helge Deller's changes from head to make_it_cool
	  (kompare_shell.cpp 1.33 -> 1.34). This is about roaming user fixes.
	  Thanks Helge !

Jul    19, 2003 : Otto Bruggeman
	* Backported Ingo Klocker's changes from head to make_it_cool
	  (kompare_shell.cpp 1.34 -> 1.35). This is about being able to
	  configure the shortcuts from kompare_part as well. Thanks Ingo !

Jun    29, 2003 : Otto Bruggeman
        * Fixed bug 58144 by adding a check for comparing dirs, in that case
          destinationURL is a directory and not a file name so we need to
          recreate the filename. This involved changing some code to use a
          different enum value, so i hope i did it the right way, session
          management may be broken now when the session was stored with 3.1.2
          and restarted with 3.1.3. But that is unfortunately unfixable with a
          tdeconf_update script.

Jun    29, 2003 : Otto Bruggeman
	* Removed a lot of commented code since it is no longer used and will
	  never be used again.
	* Added 2 methods to the interface: openDiff3(KURL) and 
	  openDiff3(QStringList)
	* Fixed context diff parsing as indicated in bugreport 57774
	  (the example works now, hope there are no regressions)
	* Removed all references to MiscSettings and MiscPrefs.
	  These classes will disappear RSN.
	* Fixed the history saving of the urls in the kompare dialog
	* Parser is no longer a static class but one that needs to be
	  instanciated
	* Added ViewSettings to KompareProcess, maybe it is better to merge the
	  diff and view settings into one class.

May     3, 2003 : Otto Bruggeman
	* Implemented support for -I in the regular diff options (the one in
	  the kompare options dialog)
	* Fixed the braindamage i created in main.cpp so that kompare no
	  longer stalls because of a missing mainwindow
	* Made the kcomparedialog more generic and renamed it to
	  kompareurldialog so i can reuse it for blending too
	* Removed some braindamage in the kompare/Makefile.am
	* Some compile fixes because of changes to the CXXFLAGS
	  (QRegExp::match cant be used anymore, and some other old style stuff)
	* Added an action to the menu for blending
	* moved Open file (or in this case Open Diff) to the top of the file
	  menu
	* Fixed the accel conflict in the file menu between open diff and
	  compare files

Apr    30, 2003 : Otto Bruggeman
	* Implemented blending of a diff file with the original file
	* Renamed General* View* (more appropriate)
	* Renamed m_models into m_modelList since it is more appropriate in komparepart
	* Small fixes to the view, but they break more than they fix :(
	* Added commandline options for comparing, opening a diff file and
	  blending

Apr    20, 2003 : Otto Bruggeman
	* Fixed bug 54264 with a statusbar that gets too wide when long
	  filenames are used
	* Fixed the missing endline problem in the parser (bug 56552)
	* Fixed all copyright years (probably too many but hey i'll change
	  those files some time this year so it will be valid :P)
	* Added support for using a different diff program (Bug 55573)
	* Added support for using a different tabsize in the viewer (Bug 38776)
	* The interface is now final i guess so this fixes bug 42849, not
	  every method is implemented but i'll get to them eventually.

Apr    19, 2003 : Otto Bruggeman
	* Fixed bug 56322 where openURL did not clear the models when called
	  again with a new diff

Aug     9, 2002 : Otto Bruggeman
	* Fixed the whatsthis text for the compare button in the compare dialog
	* Fixed the history of the comboboxes in the compare dialog
	* Put the komparemodellist and all needed classes in a Diff2 namespace
	* Implemented a better parser design (see parser.cpp/h)
	* Removed the need to directly link to the komparepart for the shellapp
	* Removed the need to link directly to the komparepart for the navigationpart
	* Added support for perforce diffs in the new Parser classes
	* Added a push design for the modified status instead of a pull design
	* Added an interface to the Komparepart so people can use that to
	  reuse the komparepart

Jul    15, 2002 : Otto Bruggeman
	* Fixed normal diff a bit more, filenames dont work yet
	* Removed some code duplication
	* Fixed diff output parsing with Common subdirectories in it
	* Fixed Copyright years in the about box (thanks Carsten Niehaus)
	* Removed the KShellProcess and replaced it with a TDEProcess

Feb    18, 2002 : Otto Bruggeman
	* Fixed scrolling with a wheel mouse in the kompare(list)view and
	  connectwidget and added a config option for the number of lines
	  that is scrolled per wheelscroll.
	* Fixed the history somehow in the compare dialog.
	* Implemented the separate directory/file widget.
	* Implemented reading from stdin by using - as file on the commandline.
	* Partly implemented a better way for ed and rcs parsing, i'll
	  improve this before KDE 3.0 is released

Jan    10, 2002 : Otto Bruggeman
	Comparing directories works now :) You can select them from the begin
	dialog, and select a directory and then press ok. It will enter the
	directory but dont select a file so it keeps the directory.
	Known bug here is that directories need a trailing slash :(

Oct    07, 2001 : Otto Bruggeman
	Fix crash when part is not found, basically dont use kapp->quit()
	but use exit(int). Would be interested to know why it crashes though,
	the bt gave nothing meaningful here. I should have compiled kompare with
	debug code.

Sep    17/18, 2001 : Otto Bruggeman
	Fixed some stuff dont know what anymore (writing this on oct 7)
	Probably some more fixes for the klibloader.

Sep    17, 2001 : Otto Bruggeman
	Moved to tdesdk and renamed to kompare with preservation of history.
	Changed almost every occurence of kdiff to kompare (not in this file).

Sep    08, 2001 : Otto Bruggeman
	Removed the qt3back dir, changed everything over to qt3,
	qlist->qptrlist, qlistconstiterator->qptrlistconstiterator

Jul    29, 2001 : John Firebaugh
	Add some tests.
	Add the qregexp3 backport.
	Use qregexp3 for diff parsing -- soooo much cleaner.
	All the diff options work.

Jul    28, 2001 : John Firebaugh
	Directories can be selected in the compare dialog
	New base clase KDiff, holds some common stuff
	Use an enum for format in preferences
	Implement a save options dialog, displayed at "Save .diff"
	The diff can be run in any directory, the paths to source
	and destination will be automatically determined from this.
	Save all.

Jul    25, 2001 : John Firebaugh
	Prompt to save changes on close
	Show [modified] caption
	Clean up internal save mechanism

Jul    14, 2001 : John Firebaugh
	New menu item "Swap source and destination".
	Make empty selection work.

Jul    13, 2001 : John Firebaugh
	Text view now works in compare mode.
	Fix clicking difference to select it.
	Don't scroll to difference when clicking to select it.
	Give the diff view a nice frame.

Jul    12, 2001 : Otto Bruggeman
	Stats work now, maybe they need more info but i dont know what yet.
	Will think some more about it.

Jul    12, 2001 : John Firebaugh
	When comparing files, you can apply or unapply changes and save
	the result.
	New menu item "Show Text View" (loads the diff in embedded text viewer).
	Better status notification.
	Set the window caption when comparing.

Jun    27, 2001 : John Firebaugh
	Ported main view to QListView
	Remove obsolete files
	Clicking a difference in the main view selects it
	Better scrolling

Jun    24, 2001 : John Firebaugh
	Coverted to dock window and added navigation tree in a dock.
	Multiple file diffs are now supported. Each file will show up
	as an item in the tree, with differences as children.

Jun    22, 2001 : Otto Bruggeman
	Tried implementing rcs and ed but they dont work atm, same for show
	diffstats, will fix that asap.

May    22, 2001 : John Firebaugh
	Reworking of most of the view code. Looks pretty.

May    18, 2001 : Otto Bruggeman
	Context seems to work, implemented saving... might have some problems
	left (saving that is)

May    15, 2001 : John Firebaugh
	Make the settings work for all windows. Probably some more changes :)

May    14, 2001 : Otto Bruggeman
	context diff does not work atm, there is some problem with the separa-
	tion of old and new. Maybe the old and new needs to be reintegrated.
	I fixed some functions and now diffmodel does no longer need static
	functions. All loading is done from the kdiffpart and that is where
	save should go as well. Removed determineDiffFormat because it is not
	needed anymore.

May    13, 2001 : Otto Bruggeman
	contextdiff is better implemented it finds all stuff in the diff atm
	but it does not work.

May    04, 2001 : Otto Bruggeman
	cleaned up the code by moving the part to a subdir
	halfassed implementation of contextdiff, will update later today

Apr    10, 2001 : John Firebaugh
	use new model/view architecture (not completely implemented yet)
	NOTE: it will (should) compile, but you won't see any differences... a
	work in progress

Apr    05, 2001 : Otto Bruggeman
	Implemented the ability to move from chuck to chunk in the htmlview
	Cleaned up the preferences, squashed a few bugs

Apr    04, 2001 : Otto Bruggeman
	Normal format works as well

Apr    04, 2001 : Otto Bruggeman
	Finally implemented the preferences menu... i still lack some nice
	icons for it but that will be solved in the near future...

Mar    25, 2001 : Otto Bruggeman
	Moved the application icons to the pics dir

Mar    20, 2001 : Otto Bruggeman
	Fixed a stupid bug that caused the last line in the rightview not
	to be colored.
	Implemented slots for using the KHistoryCombo in the views to select
	files with.
	Still a nasty bug with regard to the initial directory in the
	KFileDialog, needs to be fixed asap but i dont know the cause.
	Still an error in the historylist and completionlist items. They are
	not shown correctly.

Mar    19, 2001 : Otto Bruggeman
	Added most of the preferences dialog
	Some speed improvements
	Some fixes to use the last used directory in KFileDialog
